POST v1/ss_checkstatistics/AddClockRole

Request Information

URI Parameters

None.

Body Parameters

AddClockRoleReq
NameDescriptionTypeAdditional information
clock_id

integer

None.

c_id

integer

None.

clock_name

string

None.

clock_department

string

None.

clock_department_name

string

None.

clock_type

integer

None.

clock_date_id

integer

None.

clock_week

string

None.

clock_statutory_holidays

integer

None.

clock_overtime

integer

None.

clock_overtime_start

integer

None.

clock_overtime_duration

integer

None.

tsdate

Collection of TSdateReq

None.

nodate

Collection of NodateReq

None.

path

Collection of PathReq

None.

wifi

Collection of WifiReq

None.

Request Formats

application/json, text/json

Sample:
{
  "clock_id": 1,
  "c_id": 2,
  "clock_name": "sample string 3",
  "clock_department": "sample string 4",
  "clock_department_name": "sample string 5",
  "clock_type": 6,
  "clock_date_id": 7,
  "clock_week": "sample string 8",
  "clock_statutory_holidays": 9,
  "clock_overtime": 10,
  "clock_overtime_start": 11,
  "clock_overtime_duration": 12,
  "tsdate": [
    {
      "special_time": "sample string 1",
      "clock_date_id": 2,
      "remark": "sample string 3"
    },
    {
      "special_time": "sample string 1",
      "clock_date_id": 2,
      "remark": "sample string 3"
    }
  ],
  "nodate": [
    {
      "not_time": "sample string 1",
      "remark": "sample string 2"
    },
    {
      "not_time": "sample string 1",
      "remark": "sample string 2"
    }
  ],
  "path": [
    {
      "location": "sample string 1",
      "address": "sample string 2",
      "longitude": "sample string 3",
      "latitude": "sample string 4",
      "path_range": 5
    },
    {
      "location": "sample string 1",
      "address": "sample string 2",
      "longitude": "sample string 3",
      "latitude": "sample string 4",
      "path_range": 5
    }
  ],
  "wifi": [
    {
      "wifi_name": "sample string 1",
      "wifi_mac": "sample string 2"
    },
    {
      "wifi_name": "sample string 1",
      "wifi_mac": "sample string 2"
    }
  ]
}

application/xml, text/xml

Sample:
<AddClockRoleReq xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Qy.api.Models.Request">
  <c_id>2</c_id>
  <clock_date_id>7</clock_date_id>
  <clock_department>sample string 4</clock_department>
  <clock_department_name>sample string 5</clock_department_name>
  <clock_id>1</clock_id>
  <clock_name>sample string 3</clock_name>
  <clock_overtime>10</clock_overtime>
  <clock_overtime_duration>12</clock_overtime_duration>
  <clock_overtime_start>11</clock_overtime_start>
  <clock_statutory_holidays>9</clock_statutory_holidays>
  <clock_type>6</clock_type>
  <clock_week>sample string 8</clock_week>
  <nodate>
    <NodateReq>
      <not_time>sample string 1</not_time>
      <remark>sample string 2</remark>
    </NodateReq>
    <NodateReq>
      <not_time>sample string 1</not_time>
      <remark>sample string 2</remark>
    </NodateReq>
  </nodate>
  <path>
    <PathReq>
      <address>sample string 2</address>
      <latitude>sample string 4</latitude>
      <location>sample string 1</location>
      <longitude>sample string 3</longitude>
      <path_range>5</path_range>
    </PathReq>
    <PathReq>
      <address>sample string 2</address>
      <latitude>sample string 4</latitude>
      <location>sample string 1</location>
      <longitude>sample string 3</longitude>
      <path_range>5</path_range>
    </PathReq>
  </path>
  <tsdate>
    <TSdateReq>
      <clock_date_id>2</clock_date_id>
      <remark>sample string 3</remark>
      <special_time>sample string 1</special_time>
    </TSdateReq>
    <TSdateReq>
      <clock_date_id>2</clock_date_id>
      <remark>sample string 3</remark>
      <special_time>sample string 1</special_time>
    </TSdateReq>
  </tsdate>
  <wifi>
    <WifiReq>
      <wifi_mac>sample string 2</wifi_mac>
      <wifi_name>sample string 1</wifi_name>
    </WifiReq>
    <WifiReq>
      <wifi_mac>sample string 2</wifi_mac>
      <wifi_name>sample string 1</wifi_name>
    </WifiReq>
  </wifi>
</AddClockRoleReq>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.